Skip to content

ETF LIST

Request

Get ETF List.

Request body:

ParameterValueDescription
country"US"Market where ETF traded

Response body:

ParameterTypeDescription
symbolstringETF symbol
isinstringETF ISIN
namestringETF Name
assetClassstringAsset Class
investmentSegmentstringInvestment Segment
marketstringMarket
navCurrencystringNAV currency
numberOfHoldingsnumberNumber of holdings
uncoveredHoldingsnumberNumber of uncovered holdings
complianceStatusstringShariah-compliance Status (Halal, Not Halal, Doubtful)
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"aX9wp313EqFo0h5MMGN4VNPrtAo+0naWoZEmTZUZcOmgJIyw/NcR5WAgp9iDGaraIYde5pD9O5xGceTvvxNHwQ=="
Example:aX9wp313EqFo0h5MMGN4VNPrtAo+0naWoZEmTZUZcOmgJIyw/NcR5WAgp9iDGaraIYde5pD9O5xGceTvvxNHwQ==
Bodyapplication/jsonrequired
countrystringrequired

Market / country code (e.g. US, IN, UK, SG)

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/etf/list' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: aX9wp313EqFo0h5MMGN4VNPrtAo+0naWoZEmTZUZcOmgJIyw/NcR5WAgp9iDGaraIYde5pD9O5xGceTvvxNHwQ==' \
--data '{
    "country":"US"
}'

Responses

Dynamic list of ETFs for the requested market

Bodyapplication/json
Array [
symbolstring
isinstring
namestring
assetClassstring
investmentSegmentstring
marketstring
navCurrencystring
numberOfHoldingsnumber
uncoveredHoldingsnumber
complianceStatusstring(ComplianceStatus)

Shariah-compliance status

]
Response
[ { "symbol": "string", "isin": "string", "name": "string", "assetClass": "string", "investmentSegment": "string", "market": "string", "navCurrency": "string", "numberOfHoldings": 0, "uncoveredHoldings": 0, "complianceStatus": "string" } ]